/*
 * --- SDE-COPYRIGHT-NOTE-BEGIN ---
 * This copyright note is auto-generated by ./scripts/Create-CopyPatch.
 *
 * Filename: package/.../bsd-compat-headers/sys-cdefs.h
 * Copyright (C) 2015 The OpenSDE Project
 *
 * More information can be found in the files COPYING and README.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License. A copy of the
 * GNU General Public License can be found in the file COPYING.
 * --- SDE-COPYRIGHT-NOTE-END ---
 */

#warning usage of non-standard #include <sys/cdefs.h> is deprecated

#undef __P
#undef __PMT

#define __P(args)	args
#define __PMT(args)	args

#define __CONCAT(x,y)	x ## y
#define __STRING(x)	#x

#ifdef  __cplusplus
# define __BEGIN_DECLS	extern "C" {
# define __END_DECLS	}
#else
# define __BEGIN_DECLS
# define __END_DECLS
#endif

#if defined(__GNUC__) && !defined(__cplusplus)
# define __THROW	__attribute__ ((__nothrow__))
# define __NTH(fct)	__attribute__ ((__nothrow__)) fct
#else
# define __THROW
# define __NTH(fct)     fct
#endif
